Search
lxdream.org :: lxdream :: r977:8514fb4bc101
lxdream 0.9.1
released Jun 29
Download Now
changeset977:8514fb4bc101
parent976:e57a25d9eb7d
child978:eed5089fcfdb
authornkeynes
dateMon Feb 02 01:40:13 2009 +0000 (10 years ago)
Fix Objective-C checking to be a little more circumspec (to whit, not aborting if no
OBJC compiler is found) - slightly tricky becuase AC_CHECK_HEADER was requiring
preprocessor checks, which ran before we checked if there was in fact an OBJC compiler
in the first place... Fix there was to change the AC_CHECK_HEADER invocation to use the
new (compiler-only) style.
acinclude.m4
configure
configure.in
1.1 --- a/acinclude.m4 Mon Jan 26 12:32:23 2009 +0000
1.2 +++ b/acinclude.m4 Mon Feb 02 01:40:13 2009 +0000
1.3 @@ -89,3 +89,17 @@
1.4 [ $3 ]
1.5 fi
1.6 ]);
1.7 +
1.8 +# AC_HAVE_OBJC([if-present],[if-not-present])
1.9 +# Check if we have a working Objective-C compiler
1.10 +AC_DEFUN([AC_HAVE_OBJC], [
1.11 +AC_PROG_OBJC
1.12 +AC_MSG_CHECKING([for a working Objective-C compiler])
1.13 +AC_LANG_PUSH([Objective C])dnl
1.14 +_AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[@interface Foo @end]], [])],
1.15 + [AC_MSG_RESULT([yes])
1.16 + $1 ],
1.17 + [AC_MSG_RESULT([No])
1.18 + $2 ]);
1.19 +AC_LANG_POP([Objective C])
1.20 +]);
2.1 --- a/configure Mon Jan 26 12:32:23 2009 +0000
2.2 +++ b/configure Mon Feb 02 01:40:13 2009 +0000
2.3 @@ -734,7 +734,6 @@
2.4 am__fastdepOBJC_FALSE
2.5 POD2MAN
2.6 POD2HTML
2.7 -OBJCPP
2.8 GUI_COCOA_TRUE
2.9 GUI_COCOA_FALSE
2.10 PKG_CONFIG
2.11 @@ -835,7 +834,6 @@
2.12 CCAS
2.13 CCASFLAGS
2.14 CPP
2.15 -OBJCPP
2.16 PKG_CONFIG
2.17 LIBPNG_CFLAGS
2.18 LIBPNG_LIBS
2.19 @@ -1514,7 +1512,6 @@
2.20 CCAS assembler compiler command (defaults to CC)
2.21 CCASFLAGS assembler compiler flags (defaults to CFLAGS)
2.22 CPP C preprocessor
2.23 - OBJCPP Objective C preprocessor
2.24 PKG_CONFIG path to pkg-config utility
2.25 LIBPNG_CFLAGS
2.26 C compiler flags for LIBPNG, overriding pkg-config
2.27 @@ -7214,6 +7211,551 @@
2.28 fi
2.29
2.30
2.31 +
2.32 +
2.33 +
2.34 +ac_ext=m
2.35 +ac_cpp='$OBJCPP $CPPFLAGS'
2.36 +ac_compile='$OBJC -c $OBJCFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2.37 +ac_link='$OBJC -o conftest$ac_exeext $OBJCFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2.38 +ac_compiler_gnu=$ac_cv_objc_compiler_gnu
2.39 +if test -n "$ac_tool_prefix"; then
2.40 + for ac_prog in gcc objcc objc cc CC
2.41 + do
2.42 + # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2.43 +set dummy $ac_tool_prefix$ac_prog; ac_word=$2
2.44 +{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
2.45 +$as_echo_n "checking for $ac_word... " >&6; }
2.46 +if test "${ac_cv_prog_OBJC+set}" = set; then
2.47 + $as_echo_n "(cached) " >&6
2.48 +else
2.49 + if test -n "$OBJC"; then
2.50 + ac_cv_prog_OBJC="$OBJC" # Let the user override the test.
2.51 +else
2.52 +as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
2.53 +for as_dir in $PATH
2.54 +do
2.55 + IFS=$as_save_IFS
2.56 + test -z "$as_dir" && as_dir=.
2.57 + for ac_exec_ext in '' $ac_executable_extensions; do
2.58 + if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
2.59 + ac_cv_prog_OBJC="$ac_tool_prefix$ac_prog"
2.60 + $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
2.61 + break 2
2.62 + fi
2.63 +done
2.64 +done
2.65 +IFS=$as_save_IFS
2.66 +
2.67 +fi
2.68 +fi
2.69 +OBJC=$ac_cv_prog_OBJC
2.70 +if test -n "$OBJC"; then
2.71 + { $as_echo "$as_me:$LINENO: result: $OBJC" >&5
2.72 +$as_echo "$OBJC" >&6; }
2.73 +else
2.74 + { $as_echo "$as_me:$LINENO: result: no" >&5
2.75 +$as_echo "no" >&6; }
2.76 +fi
2.77 +
2.78 +
2.79 + test -n "$OBJC" && break
2.80 + done
2.81 +fi
2.82 +if test -z "$OBJC"; then
2.83 + ac_ct_OBJC=$OBJC
2.84 + for ac_prog in gcc objcc objc cc CC
2.85 +do
2.86 + # Extract the first word of "$ac_prog", so it can be a program name with args.
2.87 +set dummy $ac_prog; ac_word=$2
2.88 +{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
2.89 +$as_echo_n "checking for $ac_word... " >&6; }
2.90 +if test "${ac_cv_prog_ac_ct_OBJC+set}" = set; then
2.91 + $as_echo_n "(cached) " >&6
2.92 +else
2.93 + if test -n "$ac_ct_OBJC"; then
2.94 + ac_cv_prog_ac_ct_OBJC="$ac_ct_OBJC" # Let the user override the test.
2.95 +else
2.96 +as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
2.97 +for as_dir in $PATH
2.98 +do
2.99 + IFS=$as_save_IFS
2.100 + test -z "$as_dir" && as_dir=.
2.101 + for ac_exec_ext in '' $ac_executable_extensions; do
2.102 + if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
2.103 + ac_cv_prog_ac_ct_OBJC="$ac_prog"
2.104 + $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
2.105 + break 2
2.106 + fi
2.107 +done
2.108 +done
2.109 +IFS=$as_save_IFS
2.110 +
2.111 +fi
2.112 +fi
2.113 +ac_ct_OBJC=$ac_cv_prog_ac_ct_OBJC
2.114 +if test -n "$ac_ct_OBJC"; then
2.115 + { $as_echo "$as_me:$LINENO: result: $ac_ct_OBJC" >&5
2.116 +$as_echo "$ac_ct_OBJC" >&6; }
2.117 +else
2.118 + { $as_echo "$as_me:$LINENO: result: no" >&5
2.119 +$as_echo "no" >&6; }
2.120 +fi
2.121 +
2.122 +
2.123 + test -n "$ac_ct_OBJC" && break
2.124 +done
2.125 +
2.126 + if test "x$ac_ct_OBJC" = x; then
2.127 + OBJC="gcc"
2.128 + else
2.129 + case $cross_compiling:$ac_tool_warned in
2.130 +yes:)
2.131 +{ $as_echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
2.132 +whose name does not start with the host triplet. If you think this
2.133 +configuration is useful to you, please write to autoconf@gnu.org." >&5
2.134 +$as_echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
2.135 +whose name does not start with the host triplet. If you think this
2.136 +configuration is useful to you, please write to autoconf@gnu.org." >&2;}
2.137 +ac_tool_warned=yes ;;
2.138 +esac
2.139 + OBJC=$ac_ct_OBJC
2.140 + fi
2.141 +fi
2.142 +
2.143 +# Provide some information about the compiler.
2.144 +$as_echo "$as_me:$LINENO: checking for Objective C compiler version" >&5
2.145 +set X $ac_compile
2.146 +ac_compiler=$2
2.147 +{ (ac_try="$ac_compiler --version >&5"
2.148 +case "(($ac_try" in
2.149 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.150 + *) ac_try_echo=$ac_try;;
2.151 +esac
2.152 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.153 +$as_echo "$ac_try_echo") >&5
2.154 + (eval "$ac_compiler --version >&5") 2>&5
2.155 + ac_status=$?
2.156 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.157 + (exit $ac_status); }
2.158 +{ (ac_try="$ac_compiler -v >&5"
2.159 +case "(($ac_try" in
2.160 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.161 + *) ac_try_echo=$ac_try;;
2.162 +esac
2.163 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.164 +$as_echo "$ac_try_echo") >&5
2.165 + (eval "$ac_compiler -v >&5") 2>&5
2.166 + ac_status=$?
2.167 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.168 + (exit $ac_status); }
2.169 +{ (ac_try="$ac_compiler -V >&5"
2.170 +case "(($ac_try" in
2.171 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.172 + *) ac_try_echo=$ac_try;;
2.173 +esac
2.174 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.175 +$as_echo "$ac_try_echo") >&5
2.176 + (eval "$ac_compiler -V >&5") 2>&5
2.177 + ac_status=$?
2.178 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.179 + (exit $ac_status); }
2.180 +
2.181 +{ $as_echo "$as_me:$LINENO: checking whether we are using the GNU Objective C compiler" >&5
2.182 +$as_echo_n "checking whether we are using the GNU Objective C compiler... " >&6; }
2.183 +if test "${ac_cv_objc_compiler_gnu+set}" = set; then
2.184 + $as_echo_n "(cached) " >&6
2.185 +else
2.186 + cat >conftest.$ac_ext <<_ACEOF
2.187 +/* confdefs.h. */
2.188 +_ACEOF
2.189 +cat confdefs.h >>conftest.$ac_ext
2.190 +cat >>conftest.$ac_ext <<_ACEOF
2.191 +/* end confdefs.h. */
2.192 +
2.193 +int
2.194 +main ()
2.195 +{
2.196 +#ifndef __GNUC__
2.197 + choke me
2.198 +#endif
2.199 +
2.200 + ;
2.201 + return 0;
2.202 +}
2.203 +_ACEOF
2.204 +rm -f conftest.$ac_objext
2.205 +if { (ac_try="$ac_compile"
2.206 +case "(($ac_try" in
2.207 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.208 + *) ac_try_echo=$ac_try;;
2.209 +esac
2.210 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.211 +$as_echo "$ac_try_echo") >&5
2.212 + (eval "$ac_compile") 2>conftest.er1
2.213 + ac_status=$?
2.214 + grep -v '^ *+' conftest.er1 >conftest.err
2.215 + rm -f conftest.er1
2.216 + cat conftest.err >&5
2.217 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.218 + (exit $ac_status); } && {
2.219 + test -z "$ac_objc_werror_flag" ||
2.220 + test ! -s conftest.err
2.221 + } && test -s conftest.$ac_objext; then
2.222 + ac_compiler_gnu=yes
2.223 +else
2.224 + $as_echo "$as_me: failed program was:" >&5
2.225 +sed 's/^/| /' conftest.$ac_ext >&5
2.226 +
2.227 + ac_compiler_gnu=no
2.228 +fi
2.229 +
2.230 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
2.231 +ac_cv_objc_compiler_gnu=$ac_compiler_gnu
2.232 +
2.233 +fi
2.234 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_objc_compiler_gnu" >&5
2.235 +$as_echo "$ac_cv_objc_compiler_gnu" >&6; }
2.236 +if test $ac_compiler_gnu = yes; then
2.237 + GOBJC=yes
2.238 +else
2.239 + GOBJC=
2.240 +fi
2.241 +ac_test_OBJCFLAGS=${OBJCFLAGS+set}
2.242 +ac_save_OBJCFLAGS=$OBJCFLAGS
2.243 +{ $as_echo "$as_me:$LINENO: checking whether $OBJC accepts -g" >&5
2.244 +$as_echo_n "checking whether $OBJC accepts -g... " >&6; }
2.245 +if test "${ac_cv_prog_objc_g+set}" = set; then
2.246 + $as_echo_n "(cached) " >&6
2.247 +else
2.248 + ac_save_objc_werror_flag=$ac_objc_werror_flag
2.249 + ac_objc_werror_flag=yes
2.250 + ac_cv_prog_objc_g=no
2.251 + OBJCFLAGS="-g"
2.252 + cat >conftest.$ac_ext <<_ACEOF
2.253 +/* confdefs.h. */
2.254 +_ACEOF
2.255 +cat confdefs.h >>conftest.$ac_ext
2.256 +cat >>conftest.$ac_ext <<_ACEOF
2.257 +/* end confdefs.h. */
2.258 +
2.259 +int
2.260 +main ()
2.261 +{
2.262 +
2.263 + ;
2.264 + return 0;
2.265 +}
2.266 +_ACEOF
2.267 +rm -f conftest.$ac_objext
2.268 +if { (ac_try="$ac_compile"
2.269 +case "(($ac_try" in
2.270 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.271 + *) ac_try_echo=$ac_try;;
2.272 +esac
2.273 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.274 +$as_echo "$ac_try_echo") >&5
2.275 + (eval "$ac_compile") 2>conftest.er1
2.276 + ac_status=$?
2.277 + grep -v '^ *+' conftest.er1 >conftest.err
2.278 + rm -f conftest.er1
2.279 + cat conftest.err >&5
2.280 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.281 + (exit $ac_status); } && {
2.282 + test -z "$ac_objc_werror_flag" ||
2.283 + test ! -s conftest.err
2.284 + } && test -s conftest.$ac_objext; then
2.285 + ac_cv_prog_objc_g=yes
2.286 +else
2.287 + $as_echo "$as_me: failed program was:" >&5
2.288 +sed 's/^/| /' conftest.$ac_ext >&5
2.289 +
2.290 + OBJCFLAGS=""
2.291 + cat >conftest.$ac_ext <<_ACEOF
2.292 +/* confdefs.h. */
2.293 +_ACEOF
2.294 +cat confdefs.h >>conftest.$ac_ext
2.295 +cat >>conftest.$ac_ext <<_ACEOF
2.296 +/* end confdefs.h. */
2.297 +
2.298 +int
2.299 +main ()
2.300 +{
2.301 +
2.302 + ;
2.303 + return 0;
2.304 +}
2.305 +_ACEOF
2.306 +rm -f conftest.$ac_objext
2.307 +if { (ac_try="$ac_compile"
2.308 +case "(($ac_try" in
2.309 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.310 + *) ac_try_echo=$ac_try;;
2.311 +esac
2.312 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.313 +$as_echo "$ac_try_echo") >&5
2.314 + (eval "$ac_compile") 2>conftest.er1
2.315 + ac_status=$?
2.316 + grep -v '^ *+' conftest.er1 >conftest.err
2.317 + rm -f conftest.er1
2.318 + cat conftest.err >&5
2.319 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.320 + (exit $ac_status); } && {
2.321 + test -z "$ac_objc_werror_flag" ||
2.322 + test ! -s conftest.err
2.323 + } && test -s conftest.$ac_objext; then
2.324 + :
2.325 +else
2.326 + $as_echo "$as_me: failed program was:" >&5
2.327 +sed 's/^/| /' conftest.$ac_ext >&5
2.328 +
2.329 + ac_objc_werror_flag=$ac_save_objc_werror_flag
2.330 + OBJCFLAGS="-g"
2.331 + cat >conftest.$ac_ext <<_ACEOF
2.332 +/* confdefs.h. */
2.333 +_ACEOF
2.334 +cat confdefs.h >>conftest.$ac_ext
2.335 +cat >>conftest.$ac_ext <<_ACEOF
2.336 +/* end confdefs.h. */
2.337 +
2.338 +int
2.339 +main ()
2.340 +{
2.341 +
2.342 + ;
2.343 + return 0;
2.344 +}
2.345 +_ACEOF
2.346 +rm -f conftest.$ac_objext
2.347 +if { (ac_try="$ac_compile"
2.348 +case "(($ac_try" in
2.349 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.350 + *) ac_try_echo=$ac_try;;
2.351 +esac
2.352 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.353 +$as_echo "$ac_try_echo") >&5
2.354 + (eval "$ac_compile") 2>conftest.er1
2.355 + ac_status=$?
2.356 + grep -v '^ *+' conftest.er1 >conftest.err
2.357 + rm -f conftest.er1
2.358 + cat conftest.err >&5
2.359 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.360 + (exit $ac_status); } && {
2.361 + test -z "$ac_objc_werror_flag" ||
2.362 + test ! -s conftest.err
2.363 + } && test -s conftest.$ac_objext; then
2.364 + ac_cv_prog_objc_g=yes
2.365 +else
2.366 + $as_echo "$as_me: failed program was:" >&5
2.367 +sed 's/^/| /' conftest.$ac_ext >&5
2.368 +
2.369 +
2.370 +fi
2.371 +
2.372 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
2.373 +fi
2.374 +
2.375 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
2.376 +fi
2.377 +
2.378 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
2.379 + ac_objc_werror_flag=$ac_save_objc_werror_flag
2.380 +fi
2.381 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_prog_objc_g" >&5
2.382 +$as_echo "$ac_cv_prog_objc_g" >&6; }
2.383 +if test "$ac_test_OBJCFLAGS" = set; then
2.384 + OBJCFLAGS=$ac_save_OBJCFLAGS
2.385 +elif test $ac_cv_prog_objc_g = yes; then
2.386 + if test "$GOBJC" = yes; then
2.387 + OBJCFLAGS="-g -O2"
2.388 + else
2.389 + OBJCFLAGS="-g"
2.390 + fi
2.391 +else
2.392 + if test "$GOBJC" = yes; then
2.393 + OBJCFLAGS="-O2"
2.394 + else
2.395 + OBJCFLAGS=
2.396 + fi
2.397 +fi
2.398 +ac_ext=c
2.399 +ac_cpp='$CPP $CPPFLAGS'
2.400 +ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2.401 +ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2.402 +ac_compiler_gnu=$ac_cv_c_compiler_gnu
2.403 +
2.404 +{ $as_echo "$as_me:$LINENO: checking for a working Objective-C compiler" >&5
2.405 +$as_echo_n "checking for a working Objective-C compiler... " >&6; }
2.406 +ac_ext=m
2.407 +ac_cpp='$OBJCPP $CPPFLAGS'
2.408 +ac_compile='$OBJC -c $OBJCFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2.409 +ac_link='$OBJC -o conftest$ac_exeext $OBJCFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2.410 +ac_compiler_gnu=$ac_cv_objc_compiler_gnu
2.411 +cat >conftest.$ac_ext <<_ACEOF
2.412 +/* confdefs.h. */
2.413 +_ACEOF
2.414 +cat confdefs.h >>conftest.$ac_ext
2.415 +cat >>conftest.$ac_ext <<_ACEOF
2.416 +/* end confdefs.h. */
2.417 +@interface Foo @end
2.418 +int
2.419 +main ()
2.420 +{
2.421 +
2.422 + ;
2.423 + return 0;
2.424 +}
2.425 +_ACEOF
2.426 +rm -f conftest.$ac_objext
2.427 +if { (ac_try="$ac_compile"
2.428 +case "(($ac_try" in
2.429 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.430 + *) ac_try_echo=$ac_try;;
2.431 +esac
2.432 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.433 +$as_echo "$ac_try_echo") >&5
2.434 + (eval "$ac_compile") 2>conftest.er1
2.435 + ac_status=$?
2.436 + grep -v '^ *+' conftest.er1 >conftest.err
2.437 + rm -f conftest.er1
2.438 + cat conftest.err >&5
2.439 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.440 + (exit $ac_status); } && {
2.441 + test -z "$ac_objc_werror_flag" ||
2.442 + test ! -s conftest.err
2.443 + } && test -s conftest.$ac_objext; then
2.444 + { $as_echo "$as_me:$LINENO: result: yes" >&5
2.445 +$as_echo "yes" >&6; }
2.446 +
2.447 + { $as_echo "$as_me:$LINENO: checking for Cocoa/Cocoa.h" >&5
2.448 +$as_echo_n "checking for Cocoa/Cocoa.h... " >&6; }
2.449 +if test "${ac_cv_header_Cocoa_Cocoa_h+set}" = set; then
2.450 + $as_echo_n "(cached) " >&6
2.451 +else
2.452 + cat >conftest.$ac_ext <<_ACEOF
2.453 +/* confdefs.h. */
2.454 +_ACEOF
2.455 +cat confdefs.h >>conftest.$ac_ext
2.456 +cat >>conftest.$ac_ext <<_ACEOF
2.457 +/* end confdefs.h. */
2.458 +$ac_includes_default
2.459 +
2.460 +#include <Cocoa/Cocoa.h>
2.461 +_ACEOF
2.462 +rm -f conftest.$ac_objext
2.463 +if { (ac_try="$ac_compile"
2.464 +case "(($ac_try" in
2.465 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.466 + *) ac_try_echo=$ac_try;;
2.467 +esac
2.468 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.469 +$as_echo "$ac_try_echo") >&5
2.470 + (eval "$ac_compile") 2>conftest.er1
2.471 + ac_status=$?
2.472 + grep -v '^ *+' conftest.er1 >conftest.err
2.473 + rm -f conftest.er1
2.474 + cat conftest.err >&5
2.475 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.476 + (exit $ac_status); } && {
2.477 + test -z "$ac_objc_werror_flag" ||
2.478 + test ! -s conftest.err
2.479 + } && test -s conftest.$ac_objext; then
2.480 + ac_cv_header_Cocoa_Cocoa_h=yes
2.481 +else
2.482 + $as_echo "$as_me: failed program was:" >&5
2.483 +sed 's/^/| /' conftest.$ac_ext >&5
2.484 +
2.485 + ac_cv_header_Cocoa_Cocoa_h=no
2.486 +fi
2.487 +
2.488 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
2.489 +fi
2.490 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_Cocoa_Cocoa_h" >&5
2.491 +$as_echo "$ac_cv_header_Cocoa_Cocoa_h" >&6; }
2.492 +if test $ac_cv_header_Cocoa_Cocoa_h = yes; then
2.493 +
2.494 + HAVE_COCOA='yes'
2.495 + APPLE_BUILD='yes'
2.496 + LIBS="$LIBS -framework AppKit"
2.497 + LIBS="$LIBS -Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib -framework OpenGL"
2.498 + CPPFLAGS="$CPPFLAGS -DMAC_OS_X_VERSION_MIN_REQUIRED=MAC_OS_X_VERSION_10_4 -mdynamic-no-pic"
2.499 + LDFLAGS="$LDFLAGS -Wl,-headerpad_max_install_names"
2.500 +
2.501 +cat >>confdefs.h <<\_ACEOF
2.502 +#define HAVE_COCOA 1
2.503 +_ACEOF
2.504 +
2.505 +
2.506 +cat >>confdefs.h <<\_ACEOF
2.507 +#define APPLE_BUILD 1
2.508 +_ACEOF
2.509 +
2.510 + if test "x$with_gtk" = "xx11"; then
2.511 + with_gtk=no
2.512 + fi
2.513 +
2.514 +fi
2.515 +
2.516 +
2.517 +
2.518 +
2.519 +{ $as_echo "$as_me:$LINENO: checking OBJC version" >&5
2.520 +$as_echo_n "checking OBJC version... " >&6; }
2.521 +if test -n "$OBJC"; then
2.522 + _GOBJC_VERSION=`$OBJC --version | $SED -ne '/(GCC)/p'`
2.523 + if test -n "$_GOBJC_VERSION"; then
2.524 + { $as_echo "$as_me:$LINENO: result: GCC" >&5
2.525 +$as_echo "GCC" >&6; }
2.526 + OBJCOPT="-O2 -msse2 -mfpmath=sse"
2.527 + OBJCFLAGS="$OBJCFLAGS -fno-strict-aliasing"
2.528 + else
2.529 + { $as_echo "$as_me:$LINENO: result: Unknown" >&5
2.530 +$as_echo "Unknown" >&6; }
2.531 + OBJCOPT="-O2"
2.532 + fi
2.533 +else
2.534 + { $as_echo "$as_me:$LINENO: result: None" >&5
2.535 +$as_echo "None" >&6; }
2.536 +
2.537 +fi
2.538 +
2.539 +
2.540 +else
2.541 + $as_echo "$as_me: failed program was:" >&5
2.542 +sed 's/^/| /' conftest.$ac_ext >&5
2.543 +
2.544 + { $as_echo "$as_me:$LINENO: result: No" >&5
2.545 +$as_echo "No" >&6; }
2.546 +
2.547 +fi
2.548 +
2.549 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext;
2.550 +ac_ext=c
2.551 +ac_cpp='$CPP $CPPFLAGS'
2.552 +ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2.553 +ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2.554 +ac_compiler_gnu=$ac_cv_c_compiler_gnu
2.555 +
2.556 +
2.557 +
2.558 +
2.559 +
2.560 +if test "$HAVE_COCOA" = 'yes' -a "$with_gtk" = "no"; then
2.561 + GUI_COCOA_TRUE=
2.562 + GUI_COCOA_FALSE='#'
2.563 +else
2.564 + GUI_COCOA_TRUE='#'
2.565 + GUI_COCOA_FALSE=
2.566 +fi
2.567 +
2.568 +if test "x$HAVE_COCOA" = 'xyes' -a "x$with_gtk" = "xno"; then
2.569 +
2.570 +cat >>confdefs.h <<\_ACEOF
2.571 +#define OSX_BUNDLE 1
2.572 +_ACEOF
2.573 +
2.574 +fi
2.575 +
2.576 CFLAGS="-g -fexceptions"
2.577 OBJCFLAGS="-g -fexceptions"
2.578
2.579 @@ -7243,27 +7785,6 @@
2.580 fi
2.581
2.582
2.583 -{ $as_echo "$as_me:$LINENO: checking OBJC version" >&5
2.584 -$as_echo_n "checking OBJC version... " >&6; }
2.585 -if test -n "$OBJC"; then
2.586 - _GOBJC_VERSION=`$OBJC --version | $SED -ne '/(GCC)/p'`
2.587 - if test -n "$_GOBJC_VERSION"; then
2.588 - { $as_echo "$as_me:$LINENO: result: GCC" >&5
2.589 -$as_echo "GCC" >&6; }
2.590 - OBJCOPT="-O2 -msse2 -mfpmath=sse"
2.591 - OBJCFLAGS="$OBJCFLAGS -fno-strict-aliasing"
2.592 - else
2.593 - { $as_echo "$as_me:$LINENO: result: Unknown" >&5
2.594 -$as_echo "Unknown" >&6; }
2.595 - OBJCOPT="-O2"
2.596 - fi
2.597 -else
2.598 - { $as_echo "$as_me:$LINENO: result: None" >&5
2.599 -$as_echo "None" >&6; }
2.600 -
2.601 -fi
2.602 -
2.603 -
2.604 if test "x$enable_optimized" = "xyes"; then
2.605 CFLAGS="$CFLAGS $CCOPT"
2.606 OBJCFLAGS="$OBJCFLAGS $OBJCOPT"
2.607 @@ -7452,423 +7973,6 @@
2.608
2.609
2.610
2.611 -ac_ext=m
2.612 -ac_cpp='$OBJCPP $CPPFLAGS'
2.613 -ac_compile='$OBJC -c $OBJCFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2.614 -ac_link='$OBJC -o conftest$ac_exeext $OBJCFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2.615 -ac_compiler_gnu=$ac_cv_objc_compiler_gnu
2.616 -
2.617 -
2.618 -
2.619 -ac_ext=m
2.620 -ac_cpp='$OBJCPP $CPPFLAGS'
2.621 -ac_compile='$OBJC -c $OBJCFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2.622 -ac_link='$OBJC -o conftest$ac_exeext $OBJCFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2.623 -ac_compiler_gnu=$ac_cv_objc_compiler_gnu
2.624 -{ $as_echo "$as_me:$LINENO: checking how to run the Objective C preprocessor" >&5
2.625 -$as_echo_n "checking how to run the Objective C preprocessor... " >&6; }
2.626 -if test -z "$OBJCPP"; then
2.627 - if test "${ac_cv_prog_OBJCPP+set}" = set; then
2.628 - $as_echo_n "(cached) " >&6
2.629 -else
2.630 - # Double quotes because OBJCPP needs to be expanded
2.631 - for OBJCPP in "$OBJC -E" "/lib/cpp"
2.632 - do
2.633 - ac_preproc_ok=false
2.634 -for ac_objc_preproc_warn_flag in '' yes
2.635 -do
2.636 - # Use a header file that comes with gcc, so configuring glibc
2.637 - # with a fresh cross-compiler works.
2.638 - # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
2.639 - # <limits.h> exists even on freestanding compilers.
2.640 - # On the NeXT, cc -E runs the code through the compiler's parser,
2.641 - # not just through cpp. "Syntax error" is here to catch this case.
2.642 - cat >conftest.$ac_ext <<_ACEOF
2.643 -/* confdefs.h. */
2.644 -_ACEOF
2.645 -cat confdefs.h >>conftest.$ac_ext
2.646 -cat >>conftest.$ac_ext <<_ACEOF
2.647 -/* end confdefs.h. */
2.648 -#ifdef __STDC__
2.649 -# include <limits.h>
2.650 -#else
2.651 -# include <assert.h>
2.652 -#endif
2.653 - Syntax error
2.654 -_ACEOF
2.655 -if { (ac_try="$ac_cpp conftest.$ac_ext"
2.656 -case "(($ac_try" in
2.657 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.658 - *) ac_try_echo=$ac_try;;
2.659 -esac
2.660 -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.661 -$as_echo "$ac_try_echo") >&5
2.662 - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
2.663 - ac_status=$?
2.664 - grep -v '^ *+' conftest.er1 >conftest.err
2.665 - rm -f conftest.er1
2.666 - cat conftest.err >&5
2.667 - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.668 - (exit $ac_status); } >/dev/null && {
2.669 - test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
2.670 - test ! -s conftest.err
2.671 - }; then
2.672 - :
2.673 -else
2.674 - $as_echo "$as_me: failed program was:" >&5
2.675 -sed 's/^/| /' conftest.$ac_ext >&5
2.676 -
2.677 - # Broken: fails on valid input.
2.678 -continue
2.679 -fi
2.680 -
2.681 -rm -f conftest.err conftest.$ac_ext
2.682 -
2.683 - # OK, works on sane cases. Now check whether nonexistent headers
2.684 - # can be detected and how.
2.685 - cat >conftest.$ac_ext <<_ACEOF
2.686 -/* confdefs.h. */
2.687 -_ACEOF
2.688 -cat confdefs.h >>conftest.$ac_ext
2.689 -cat >>conftest.$ac_ext <<_ACEOF
2.690 -/* end confdefs.h. */
2.691 -#include <ac_nonexistent.h>
2.692 -_ACEOF
2.693 -if { (ac_try="$ac_cpp conftest.$ac_ext"
2.694 -case "(($ac_try" in
2.695 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.696 - *) ac_try_echo=$ac_try;;
2.697 -esac
2.698 -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.699 -$as_echo "$ac_try_echo") >&5
2.700 - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
2.701 - ac_status=$?
2.702 - grep -v '^ *+' conftest.er1 >conftest.err
2.703 - rm -f conftest.er1
2.704 - cat conftest.err >&5
2.705 - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.706 - (exit $ac_status); } >/dev/null && {
2.707 - test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
2.708 - test ! -s conftest.err
2.709 - }; then
2.710 - # Broken: success on invalid input.
2.711 -continue
2.712 -else
2.713 - $as_echo "$as_me: failed program was:" >&5
2.714 -sed 's/^/| /' conftest.$ac_ext >&5
2.715 -
2.716 - # Passes both tests.
2.717 -ac_preproc_ok=:
2.718 -break
2.719 -fi
2.720 -
2.721 -rm -f conftest.err conftest.$ac_ext
2.722 -
2.723 -done
2.724 -# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
2.725 -rm -f conftest.err conftest.$ac_ext
2.726 -if $ac_preproc_ok; then
2.727 - break
2.728 -fi
2.729 -
2.730 - done
2.731 - ac_cv_prog_OBJCPP=$OBJCPP
2.732 -
2.733 -fi
2.734 - OBJCPP=$ac_cv_prog_OBJCPP
2.735 -else
2.736 - ac_cv_prog_OBJCPP=$OBJCPP
2.737 -fi
2.738 -{ $as_echo "$as_me:$LINENO: result: $OBJCPP" >&5
2.739 -$as_echo "$OBJCPP" >&6; }
2.740 -ac_preproc_ok=false
2.741 -for ac_objc_preproc_warn_flag in '' yes
2.742 -do
2.743 - # Use a header file that comes with gcc, so configuring glibc
2.744 - # with a fresh cross-compiler works.
2.745 - # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
2.746 - # <limits.h> exists even on freestanding compilers.
2.747 - # On the NeXT, cc -E runs the code through the compiler's parser,
2.748 - # not just through cpp. "Syntax error" is here to catch this case.
2.749 - cat >conftest.$ac_ext <<_ACEOF
2.750 -/* confdefs.h. */
2.751 -_ACEOF
2.752 -cat confdefs.h >>conftest.$ac_ext
2.753 -cat >>conftest.$ac_ext <<_ACEOF
2.754 -/* end confdefs.h. */
2.755 -#ifdef __STDC__
2.756 -# include <limits.h>
2.757 -#else
2.758 -# include <assert.h>
2.759 -#endif
2.760 - Syntax error
2.761 -_ACEOF
2.762 -if { (ac_try="$ac_cpp conftest.$ac_ext"
2.763 -case "(($ac_try" in
2.764 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.765 - *) ac_try_echo=$ac_try;;
2.766 -esac
2.767 -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.768 -$as_echo "$ac_try_echo") >&5
2.769 - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
2.770 - ac_status=$?
2.771 - grep -v '^ *+' conftest.er1 >conftest.err
2.772 - rm -f conftest.er1
2.773 - cat conftest.err >&5
2.774 - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.775 - (exit $ac_status); } >/dev/null && {
2.776 - test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
2.777 - test ! -s conftest.err
2.778 - }; then
2.779 - :
2.780 -else
2.781 - $as_echo "$as_me: failed program was:" >&5
2.782 -sed 's/^/| /' conftest.$ac_ext >&5
2.783 -
2.784 - # Broken: fails on valid input.
2.785 -continue
2.786 -fi
2.787 -
2.788 -rm -f conftest.err conftest.$ac_ext
2.789 -
2.790 - # OK, works on sane cases. Now check whether nonexistent headers
2.791 - # can be detected and how.
2.792 - cat >conftest.$ac_ext <<_ACEOF
2.793 -/* confdefs.h. */
2.794 -_ACEOF
2.795 -cat confdefs.h >>conftest.$ac_ext
2.796 -cat >>conftest.$ac_ext <<_ACEOF
2.797 -/* end confdefs.h. */
2.798 -#include <ac_nonexistent.h>
2.799 -_ACEOF
2.800 -if { (ac_try="$ac_cpp conftest.$ac_ext"
2.801 -case "(($ac_try" in
2.802 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.803 - *) ac_try_echo=$ac_try;;
2.804 -esac
2.805 -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.806 -$as_echo "$ac_try_echo") >&5
2.807 - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
2.808 - ac_status=$?
2.809 - grep -v '^ *+' conftest.er1 >conftest.err
2.810 - rm -f conftest.er1
2.811 - cat conftest.err >&5
2.812 - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.813 - (exit $ac_status); } >/dev/null && {
2.814 - test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
2.815 - test ! -s conftest.err
2.816 - }; then
2.817 - # Broken: success on invalid input.
2.818 -continue
2.819 -else
2.820 - $as_echo "$as_me: failed program was:" >&5
2.821 -sed 's/^/| /' conftest.$ac_ext >&5
2.822 -
2.823 - # Passes both tests.
2.824 -ac_preproc_ok=:
2.825 -break
2.826 -fi
2.827 -
2.828 -rm -f conftest.err conftest.$ac_ext
2.829 -
2.830 -done
2.831 -# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
2.832 -rm -f conftest.err conftest.$ac_ext
2.833 -if $ac_preproc_ok; then
2.834 - :
2.835 -else
2.836 - { { $as_echo "$as_me:$LINENO: error: Objective C preprocessor \"$OBJCPP\" fails sanity check
2.837 -See \`config.log' for more details." >&5
2.838 -$as_echo "$as_me: error: Objective C preprocessor \"$OBJCPP\" fails sanity check
2.839 -See \`config.log' for more details." >&2;}
2.840 - { (exit 1); exit 1; }; }
2.841 -fi
2.842 -
2.843 -ac_ext=m
2.844 -ac_cpp='$OBJCPP $CPPFLAGS'
2.845 -ac_compile='$OBJC -c $OBJCFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2.846 -ac_link='$OBJC -o conftest$ac_exeext $OBJCFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2.847 -ac_compiler_gnu=$ac_cv_objc_compiler_gnu
2.848 -
2.849 -
2.850 -if test "${ac_cv_header_Cocoa_Cocoa_h+set}" = set; then
2.851 - { $as_echo "$as_me:$LINENO: checking for Cocoa/Cocoa.h" >&5
2.852 -$as_echo_n "checking for Cocoa/Cocoa.h... " >&6; }
2.853 -if test "${ac_cv_header_Cocoa_Cocoa_h+set}" = set; then
2.854 - $as_echo_n "(cached) " >&6
2.855 -fi
2.856 -{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_Cocoa_Cocoa_h" >&5
2.857 -$as_echo "$ac_cv_header_Cocoa_Cocoa_h" >&6; }
2.858 -else
2.859 - # Is the header compilable?
2.860 -{ $as_echo "$as_me:$LINENO: checking Cocoa/Cocoa.h usability" >&5
2.861 -$as_echo_n "checking Cocoa/Cocoa.h usability... " >&6; }
2.862 -cat >conftest.$ac_ext <<_ACEOF
2.863 -/* confdefs.h. */
2.864 -_ACEOF
2.865 -cat confdefs.h >>conftest.$ac_ext
2.866 -cat >>conftest.$ac_ext <<_ACEOF
2.867 -/* end confdefs.h. */
2.868 -$ac_includes_default
2.869 -#include <Cocoa/Cocoa.h>
2.870 -_ACEOF
2.871 -rm -f conftest.$ac_objext
2.872 -if { (ac_try="$ac_compile"
2.873 -case "(($ac_try" in
2.874 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.875 - *) ac_try_echo=$ac_try;;
2.876 -esac
2.877 -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.878 -$as_echo "$ac_try_echo") >&5
2.879 - (eval "$ac_compile") 2>conftest.er1
2.880 - ac_status=$?
2.881 - grep -v '^ *+' conftest.er1 >conftest.err
2.882 - rm -f conftest.er1
2.883 - cat conftest.err >&5
2.884 - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.885 - (exit $ac_status); } && {
2.886 - test -z "$ac_objc_werror_flag" ||
2.887 - test ! -s conftest.err
2.888 - } && test -s conftest.$ac_objext; then
2.889 - ac_header_compiler=yes
2.890 -else
2.891 - $as_echo "$as_me: failed program was:" >&5
2.892 -sed 's/^/| /' conftest.$ac_ext >&5
2.893 -
2.894 - ac_header_compiler=no
2.895 -fi
2.896 -
2.897 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
2.898 -{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
2.899 -$as_echo "$ac_header_compiler" >&6; }
2.900 -
2.901 -# Is the header present?
2.902 -{ $as_echo "$as_me:$LINENO: checking Cocoa/Cocoa.h presence" >&5
2.903 -$as_echo_n "checking Cocoa/Cocoa.h presence... " >&6; }
2.904 -cat >conftest.$ac_ext <<_ACEOF
2.905 -/* confdefs.h. */
2.906 -_ACEOF
2.907 -cat confdefs.h >>conftest.$ac_ext
2.908 -cat >>conftest.$ac_ext <<_ACEOF
2.909 -/* end confdefs.h. */
2.910 -#include <Cocoa/Cocoa.h>
2.911 -_ACEOF
2.912 -if { (ac_try="$ac_cpp conftest.$ac_ext"
2.913 -case "(($ac_try" in
2.914 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.915 - *) ac_try_echo=$ac_try;;
2.916 -esac
2.917 -eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
2.918 -$as_echo "$ac_try_echo") >&5
2.919 - (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
2.920 - ac_status=$?
2.921 - grep -v '^ *+' conftest.er1 >conftest.err
2.922 - rm -f conftest.er1
2.923 - cat conftest.err >&5
2.924 - $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.925 - (exit $ac_status); } >/dev/null && {
2.926 - test -z "$ac_objc_preproc_warn_flag$ac_objc_werror_flag" ||
2.927 - test ! -s conftest.err
2.928 - }; then
2.929 - ac_header_preproc=yes
2.930 -else
2.931 - $as_echo "$as_me: failed program was:" >&5
2.932 -sed 's/^/| /' conftest.$ac_ext >&5
2.933 -
2.934 - ac_header_preproc=no
2.935 -fi
2.936 -
2.937 -rm -f conftest.err conftest.$ac_ext
2.938 -{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
2.939 -$as_echo "$ac_header_preproc" >&6; }
2.940 -
2.941 -# So? What about this header?
2.942 -case $ac_header_compiler:$ac_header_preproc:$ac_objc_preproc_warn_flag in
2.943 - yes:no: )
2.944 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: accepted by the compiler, rejected by the preprocessor!" >&5
2.945 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
2.946 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: proceeding with the compiler's result" >&5
2.947 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: proceeding with the compiler's result" >&2;}
2.948 - ac_header_preproc=yes
2.949 - ;;
2.950 - no:yes:* )
2.951 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: present but cannot be compiled" >&5
2.952 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: present but cannot be compiled" >&2;}
2.953 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: check for missing prerequisite headers?" >&5
2.954 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: check for missing prerequisite headers?" >&2;}
2.955 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: see the Autoconf documentation" >&5
2.956 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: see the Autoconf documentation" >&2;}
2.957 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: section \"Present But Cannot Be Compiled\"" >&5
2.958 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: section \"Present But Cannot Be Compiled\"" >&2;}
2.959 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: proceeding with the preprocessor's result" >&5
2.960 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: proceeding with the preprocessor's result" >&2;}
2.961 - { $as_echo "$as_me:$LINENO: WARNING: Cocoa/Cocoa.h: in the future, the compiler will take precedence" >&5
2.962 -$as_echo "$as_me: WARNING: Cocoa/Cocoa.h: in the future, the compiler will take precedence" >&2;}
2.963 -
2.964 - ;;
2.965 -esac
2.966 -{ $as_echo "$as_me:$LINENO: checking for Cocoa/Cocoa.h" >&5
2.967 -$as_echo_n "checking for Cocoa/Cocoa.h... " >&6; }
2.968 -if test "${ac_cv_header_Cocoa_Cocoa_h+set}" = set; then
2.969 - $as_echo_n "(cached) " >&6
2.970 -else
2.971 - ac_cv_header_Cocoa_Cocoa_h=$ac_header_preproc
2.972 -fi
2.973 -{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_Cocoa_Cocoa_h" >&5
2.974 -$as_echo "$ac_cv_header_Cocoa_Cocoa_h" >&6; }
2.975 -
2.976 -fi
2.977 -if test $ac_cv_header_Cocoa_Cocoa_h = yes; then
2.978 -
2.979 - HAVE_COCOA='yes'
2.980 - APPLE_BUILD='yes'
2.981 - LIBS="$LIBS -framework AppKit"
2.982 - LIBS="$LIBS -Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib -framework OpenGL"
2.983 - CPPFLAGS="$CPPFLAGS -DMAC_OS_X_VERSION_MIN_REQUIRED=MAC_OS_X_VERSION_10_4 -mdynamic-no-pic"
2.984 - LDFLAGS="$LDFLAGS -Wl,-headerpad_max_install_names"
2.985 -
2.986 -cat >>confdefs.h <<\_ACEOF
2.987 -#define HAVE_COCOA 1
2.988 -_ACEOF
2.989 -
2.990 -
2.991 -cat >>confdefs.h <<\_ACEOF
2.992 -#define APPLE_BUILD 1
2.993 -_ACEOF
2.994 -
2.995 - if test "x$with_gtk" = "xx11"; then
2.996 - with_gtk=no
2.997 - fi
2.998 -
2.999 -fi
2.1000 -
2.1001 -
2.1002 -
2.1003 -
2.1004 -
2.1005 -if test "$HAVE_COCOA" = 'yes' -a "$with_gtk" = "no"; then
2.1006 - GUI_COCOA_TRUE=
2.1007 - GUI_COCOA_FALSE='#'
2.1008 -else
2.1009 - GUI_COCOA_TRUE='#'
2.1010 - GUI_COCOA_FALSE=
2.1011 -fi
2.1012 -
2.1013 -if test "x$HAVE_COCOA" = 'xyes' -a "x$with_gtk" = "xno"; then
2.1014 -
2.1015 -cat >>confdefs.h <<\_ACEOF
2.1016 -#define OSX_BUNDLE 1
2.1017 -_ACEOF
2.1018 -
2.1019 -fi
2.1020 -
2.1021 -ac_ext=c
2.1022 -ac_cpp='$CPP $CPPFLAGS'
2.1023 -ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2.1024 -ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2.1025 -ac_compiler_gnu=$ac_cv_c_compiler_gnu
2.1026 -
2.1027 -
2.1028
2.1029
2.1030 if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
3.1 --- a/configure.in Mon Jan 26 12:32:23 2009 +0000
3.2 +++ b/configure.in Mon Feb 02 01:40:13 2009 +0000
3.3 @@ -64,7 +64,35 @@
3.4 AC_ARG_WITH( pulse,
3.5 AS_HELP_STRING( [--with-pulse], [Build with support for the PulseAudio audio system]) )
3.6
3.7 -dnl ------------------ Compiler flags -----------------------
3.8 +dnl ------------ Check if we're building on Darwin --------------
3.9 +
3.10 +dnl For starters, do we have a working objective-c compiler?
3.11 +AC_HAVE_OBJC([
3.12 + AC_CHECK_HEADER([Cocoa/Cocoa.h], [
3.13 + HAVE_COCOA='yes'
3.14 + APPLE_BUILD='yes'
3.15 + LIBS="$LIBS -framework AppKit"
3.16 + LIBS="$LIBS -Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib -framework OpenGL"
3.17 + CPPFLAGS="$CPPFLAGS -DMAC_OS_X_VERSION_MIN_REQUIRED=MAC_OS_X_VERSION_10_4 -mdynamic-no-pic"
3.18 + LDFLAGS="$LDFLAGS -Wl,-headerpad_max_install_names"
3.19 + AC_DEFINE(HAVE_COCOA,[1],[Have Cocoa framework])
3.20 + AC_DEFINE(APPLE_BUILD,[1],[Building on an apple platform. Things are different...])
3.21 + if test "x$with_gtk" = "xx11"; then
3.22 + with_gtk=no
3.23 + fi
3.24 + ], [], [AC_INCLUDES_DEFAULT])
3.25 +
3.26 + AC_OBJC_VERSION([ OBJCOPT="-O2 -msse2 -mfpmath=sse"
3.27 + OBJCFLAGS="$OBJCFLAGS -fno-strict-aliasing" ],
3.28 + [ OBJCOPT="-O2" ], [] )
3.29 +])
3.30 +
3.31 +AM_CONDITIONAL(GUI_COCOA, [test "$HAVE_COCOA" = 'yes' -a "$with_gtk" = "no"])
3.32 +if test "x$HAVE_COCOA" = 'xyes' -a "x$with_gtk" = "xno"; then
3.33 + AC_DEFINE(OSX_BUNDLE, [1], [Generating a bundled application])
3.34 +fi
3.35 +
3.36 +dnl ------------------ C Compiler flags -----------------------
3.37 CFLAGS="-g -fexceptions"
3.38 OBJCFLAGS="-g -fexceptions"
3.39 AC_DEFINE(HAVE_EXCEPTIONS, [1], [Have exception stack-frame information])
3.40 @@ -73,9 +101,6 @@
3.41 CFLAGS="$CFLAGS -fno-strict-aliasing" ],
3.42 [ CCOPT="$CFLAGS -fast" ],
3.43 [ CCOPT="$CFLAGS -O2" ])
3.44 -AC_OBJC_VERSION([ OBJCOPT="-O2 -msse2 -mfpmath=sse"
3.45 - OBJCFLAGS="$OBJCFLAGS -fno-strict-aliasing" ],
3.46 - [ OBJCOPT="-O2" ], [] )
3.47
3.48 if test "x$enable_optimized" = "xyes"; then
3.49 CFLAGS="$CFLAGS $CCOPT"
3.50 @@ -109,31 +134,6 @@
3.51 ], [ AC_MSG_WARN([Memory exceptions will be slow]) ])
3.52
3.53
3.54 -dnl ------------ Check if we're building on Darwin --------------
3.55 -
3.56 -dnl For starters, do we have a working objective-c compiler?
3.57 -AC_LANG_OBJC
3.58 -
3.59 -AC_CHECK_HEADER([Cocoa/Cocoa.h], [
3.60 - HAVE_COCOA='yes'
3.61 - APPLE_BUILD='yes'
3.62 - LIBS="$LIBS -framework AppKit"
3.63 - LIBS="$LIBS -Wl,-dylib_file,/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib:/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib -framework OpenGL"
3.64 - CPPFLAGS="$CPPFLAGS -DMAC_OS_X_VERSION_MIN_REQUIRED=MAC_OS_X_VERSION_10_4 -mdynamic-no-pic"
3.65 - LDFLAGS="$LDFLAGS -Wl,-headerpad_max_install_names"
3.66 - AC_DEFINE(HAVE_COCOA,[1],[Have Cocoa framework])
3.67 - AC_DEFINE(APPLE_BUILD,[1],[Building on an apple platform. Things are different...])
3.68 - if test "x$with_gtk" = "xx11"; then
3.69 - with_gtk=no
3.70 - fi
3.71 -])
3.72 -
3.73 -AM_CONDITIONAL(GUI_COCOA, [test "$HAVE_COCOA" = 'yes' -a "$with_gtk" = "no"])
3.74 -if test "x$HAVE_COCOA" = 'xyes' -a "x$with_gtk" = "xno"; then
3.75 - AC_DEFINE(OSX_BUNDLE, [1], [Generating a bundled application])
3.76 -fi
3.77 -
3.78 -AC_LANG_C
3.79
3.80 dnl ----------- Check for mandatory dependencies --------------
3.81 dnl Check for libpng (required)
.